# class ActionDispatch::RailsMetaStore

### Public Class Methods

new(store = RAILS_CACHE) click to toggle source

TODO: Finally deal with the RAILS_CACHE global

    # File lib/action_dispatch/http/rack_cache.rb, line 12
    def initialize(store = RAILS_CACHE)
      @store = store
    end

resolve(uri) click to toggle source

    # File lib/action_dispatch/http/rack_cache.rb, line 7
    def self.resolve(uri)
      new
    end

### Public Instance Methods

read(key) click to toggle source

    # File lib/action_dispatch/http/rack_cache.rb, line 16
    def read(key)
      if data = @store.read(key)
        Marshal.load(data)
      else
        []
      end
    end

write(key, value) click to toggle source

    # File lib/action_dispatch/http/rack_cache.rb, line 24
    def write(key, value)
      @store.write(key, Marshal.dump(value))
    end